#!/bin/bash
#
#  compare with FATCAT
#
#  The Kpax (-flex) alignments give better statistics in every case...
#

JFATCAT=/home/dritchie/programs/kpax/jfatcat/runFATCAT.sh
OPTIONS="-printCE  -outputPDB"


$JFATCAT  ${OPTIONS}  -file1 file:./1wdn_a.pdb -file2 file:./1ggg_a.pdb -outFile fatcat_1wdn_1ggg.pdb
#$JFATCAT ${OPTIONS}  1hpb_p.pdb 1ggg_a.pdb
$JFATCAT  ${OPTIONS}  -file1 file:./2bbm_a.pdb -file2 file:./1cll_a.pdb -outFile fatcat_2bbm_1cll.pdb
$JFATCAT  ${OPTIONS}  -file1 file:./2bbm_a.pdb -file2 file:./1top_a.pdb -outFile fatcat_2bbm_1top.pdb
$JFATCAT  ${OPTIONS}  -file1 file:./1ake_a.pdb -file2 file:./2ak3_a.pdb -outFile fatcat_1ake_2ak3.pdb
$JFATCAT  ${OPTIONS}  -file1 file:./2ak3_a.pdb -file2 file:./1uke_a.pdb -outFile fatcat_2ak3_1uke.pdb
$JFATCAT  ${OPTIONS}  -file1 file:./1mcp_l.pdb -file2 file:./4fab_l.pdb -outFile fatcat_1mcp_4fab.pdb
$JFATCAT  ${OPTIONS}  -file1 file:./1mcp_l.pdb -file2 file:./1tcr_b.pdb -outFile fatcat_1mcp_1tcr.pdb
$JFATCAT  ${OPTIONS}  -file1 file:./1lfh_a.pdb -file2 file:./1lfg_a.pdb -outFile fatcat_1lfh_1lfg.pdb
$JFATCAT  ${OPTIONS}  -file1 file:./1tfd_a.pdb -file2 file:./1lfh_a.pdb -outFile fatcat_1tfd_1lfh.pdb
$JFATCAT  ${OPTIONS}  -file1 file:./1b9w_a.pdb -file2 file:./1dan_l.pdb -outFile fatcat_1b9w_1dan.pdb
$JFATCAT  ${OPTIONS}  -file1 file:./1qf6_a.pdb -file2 file:./1adj_a.pdb -outFile fatcat_1qf6_1adj.pdb
$JFATCAT  ${OPTIONS}  -file1 file:./2clr_a.pdb -file2 file:./3fru_a.pdb -outFile fatcat_2clr_3fru.pdb
$JFATCAT  ${OPTIONS}  -file1 file:./1fmk_a.pdb -file2 file:./1qcf_a.pdb -outFile fatcat_1fmk_1qcf.pdb
$JFATCAT  ${OPTIONS}  -file1 file:./1fmk_a.pdb -file2 file:./1tki_a.pdb -outFile fatcat_1fmk_1tki.pdb
$JFATCAT  ${OPTIONS}  -file1 file:./1a21_a.pdb -file2 file:./1hwg_c.pdb -outFile fatcat_1a21_1hwg.pdb

#
#  the next group is from Shatsky et al 2004
# (for 1dce, they use a truncated domain; Kpax can align this, no problem,
#  but it actually gives a better alignment on the full length domain)
#

$JFATCAT  ${OPTIONS}  -file1 file:./1ntr_a.pdb     -file2 file:./1dc7_a.pdb -outFile fatcat_1ntr_1dc7.pdb
# $JFATCAT  ${OPTIONS}  -file1 file:./1dce_a240.pdb  -file2 file:./1a17_a.pdb -outFile fatcat_1dce_a240_1a17.pdb
$JFATCAT  ${OPTIONS}  -file1 file:./1dce_a.pdb     -file2 file:./1a17_a.pdb -outFile fatcat_1dce_1a17.pdb
$JFATCAT  ${OPTIONS}  -file1 file:./2nac_a.pdb     -file2 file:./1psd_a.pdb -outFile fatcat_2nac_1psd.pdb
$JFATCAT  ${OPTIONS}  -file1 file:./1chm_a.pdb     -file2 file:./1xgs_a.pdb -outFile fatcat_1chm_1xgs.pdb

