#!/bin/bash
#
#  compare with FATCAT
#

#
#  NB. 1dan has HETATM CGU residues, so we skip that one
#


JFATCAT=/home/dritchie/programs/kpax/jfatcat/runFATCAT.sh

OPTIONS="-flexible -printCE  -outputPDB"

mkdir fatcat_results

$JFATCAT  ${OPTIONS}  -file1 file:./1wdn_a.pdb -file2 file:./1ggg_a.pdb -outFile fatcat_1wdn_1ggg_flex.pdb | tee fatcat_1wdn_1ggg_flex.txt
#$JFATCAT ${OPTIONS}  1hpb_p.pdb 1ggg_a.pdb
$JFATCAT  ${OPTIONS}  -file1 file:./2bbm_a.pdb -file2 file:./1cll_a.pdb -outFile fatcat_2bbm_1cll_flex.pdb | tee fatcat_2bbm_1cll_flex.txt
$JFATCAT  ${OPTIONS}  -file1 file:./2bbm_a.pdb -file2 file:./1top_a.pdb -outFile fatcat_2bbm_1top_flex.pdb | tee fatcat_2bbm_1top_flex.txt
$JFATCAT  ${OPTIONS}  -file1 file:./1ake_a.pdb -file2 file:./2ak3_a.pdb -outFile fatcat_1ake_2ak3_flex.pdb | tee fatcat_1ake_2ak3_flex.txt
$JFATCAT  ${OPTIONS}  -file1 file:./2ak3_a.pdb -file2 file:./1uke_a.pdb -outFile fatcat_2ak3_1uke_flex.pdb | tee fatcat_2ak3_1uke_flex.txt
$JFATCAT  ${OPTIONS}  -file1 file:./1mcp_l.pdb -file2 file:./4fab_l.pdb -outFile fatcat_1mcp_4fab_flex.pdb | tee fatcat_1mcp_4fab_flex.txt
$JFATCAT  ${OPTIONS}  -file1 file:./1mcp_l.pdb -file2 file:./1tcr_b.pdb -outFile fatcat_1mcp_1tcr_flex.pdb | tee fatcat_1mcp_1tcr_flex.txt
$JFATCAT  ${OPTIONS}  -file1 file:./1lfh_a.pdb -file2 file:./1lfg_a.pdb -outFile fatcat_1lfh_1lfg_flex.pdb | tee fatcat_1lfh_1lfg_flex.txt
$JFATCAT  ${OPTIONS}  -file1 file:./1tfd_a.pdb -file2 file:./1lfh_a.pdb -outFile fatcat_1tfd_1lfh_flex.pdb | tee fatcat_1tfd_1lfh_flex.txt
# $JFATCAT  ${OPTIONS}  -file1 file:./1b9w_a.pdb -file2 file:./1dan_l.pdb -outFile fatcat_1b9w_1dan_flex.pdb | tee fatcat_1b9w_1dan_flex.txt
$JFATCAT  ${OPTIONS}  -file1 file:./1qf6_a.pdb -file2 file:./1adj_a.pdb -outFile fatcat_1qf6_1adj_flex.pdb | tee fatcat_1qf6_1adj_flex.txt
$JFATCAT  ${OPTIONS}  -file1 file:./2clr_a.pdb -file2 file:./3fru_a.pdb -outFile fatcat_2clr_3fru_flex.pdb | tee fatcat_2clr_3fru_flex.txt
$JFATCAT  ${OPTIONS}  -file1 file:./1fmk_a.pdb -file2 file:./1qcf_a.pdb -outFile fatcat_1fmk_1qcf_flex.pdb | tee fatcat_1fmk_1qcf_flex.txt
$JFATCAT  ${OPTIONS}  -file1 file:./1fmk_a.pdb -file2 file:./1tki_a.pdb -outFile fatcat_1fmk_1tki_flex.pdb | tee fatcat_1fmk_1tki_flex.txt
$JFATCAT  ${OPTIONS}  -file1 file:./1a21_a.pdb -file2 file:./1hwg_c.pdb -outFile fatcat_1a21_1hwg_flex.pdb | tee fatcat_1a21_1hwg_flex.txt

#
#  the next group is from Shatsky et al 2004
# (for 1dce, they use a truncated domain; Kpax can align this, no problem,
#  but it actually gives a better alignment on the full length domain)
#

$JFATCAT  ${OPTIONS}  -file1 file:./1ntr_a.pdb     -file2 file:./1dc7_a.pdb -outFile fatcat_1ntr_1dc7_flex.pdb | tee fatcat_1ntr_1dc7_flex.txt
# $JFATCAT  ${OPTIONS}  -file1 file:./1dce_a240.pdb  -file2 file:./1a17_a.pdb -outFile fatcat_1dce_a240_1a17_flex.pdb
$JFATCAT  ${OPTIONS}  -file1 file:./1dce_a.pdb     -file2 file:./1a17_a.pdb -outFile fatcat_1dce_1a17_flex.pdb | tee fatcat_1dce_1a17_flex.txt
$JFATCAT  ${OPTIONS}  -file1 file:./2nac_a.pdb     -file2 file:./1psd_a.pdb -outFile fatcat_2nac_1psd_flex.pdb | tee fatcat_2nac_1psd_flex.txt
$JFATCAT  ${OPTIONS}  -file1 file:./1chm_a.pdb     -file2 file:./1xgs_a.pdb -outFile fatcat_1chm_1xgs_flex.pdb | tee fatcat_1chm_1xgs_flex.txt

mv fatcat_*.pdb fatcat_*.txt fatcat_results
