#!/bin/bash
#
#  compare with flexprot from Wolfson's lab. 
#
#  The Kpax (-flex) alignments given better statistics in every case...
#
#  NB. 1dan has HETATM CGU residues, so we skip that one
#


OPTIONS=""
OPTIONS="-flex"

#
# the first group is from Shatsky et al 2002
# (NB. 1hpb_p.pdb is CA-only, which Kpax cannot handle)
#

kpax  ${OPTIONS}  1wdn_a.pdb 1ggg_a.pdb
#kpax ${OPTIONS}  1hpb_p.pdb 1ggg_a.pdb
kpax  ${OPTIONS}  2bbm_a.pdb 1cll_a.pdb
kpax  ${OPTIONS}  2bbm_a.pdb 1top_a.pdb
kpax  ${OPTIONS}  1ake_a.pdb 2ak3_a.pdb
kpax  ${OPTIONS}  2ak3_a.pdb 1uke_a.pdb
kpax  ${OPTIONS}  1mcp_l.pdb 4fab_l.pdb
kpax  ${OPTIONS}  1mcp_l.pdb 1tcr_b.pdb
kpax  ${OPTIONS}  1lfh_a.pdb 1lfg_a.pdb
kpax  ${OPTIONS}  1tfd_a.pdb 1lfh_a.pdb
# kpax  ${OPTIONS}  1b9w_a.pdb 1dan_l.pdb
kpax  ${OPTIONS}  1qf6_a.pdb 1adj_a.pdb
kpax  ${OPTIONS}  2clr_a.pdb 3fru_a.pdb
kpax  ${OPTIONS}  1fmk_a.pdb 1qcf_a.pdb
kpax  ${OPTIONS}  1fmk_a.pdb 1tki_a.pdb
kpax  ${OPTIONS}  1a21_a.pdb 1hwg_c.pdb

#
#  the next group is from Shatsky et al 2004
# (for 1dce, they use a truncated domain; Kpax can align this, no problem,
#  but it actually gives a better alignment on the full length domain)
#

kpax  ${OPTIONS}  1ntr_a.pdb     1dc7_a.pdb 
# kpax  ${OPTIONS}  1dce_a240.pdb  1a17_a.pdb
kpax  ${OPTIONS}  1dce_a.pdb     1a17_a.pdb
kpax  ${OPTIONS}  2nac_a.pdb     1psd_a.pdb
kpax  ${OPTIONS}  1chm_a.pdb     1xgs_a.pdb

